Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.reflection.stdclasses
Class ObjectCachedClass

    java.lang.Object
      org.codehaus.groovy.reflection.CachedClass
          org.codehaus.groovy.reflection.stdclasses.ObjectCachedClass

    public class ObjectCachedClass
    extends CachedClass

Author:
  Alex.Tkachman

Nested Class Summary
Modifier and Type | Class and Description
--- | ---

Nested classes/interfaces inherited from class org.codehaus.groovy.reflection.CachedClass
`CachedClass.CachedMethodComparatorByName, CachedClass.CachedMethodComparatorWithString`

Field Summary
Modifier and Type | Field and Description
--- | ---

Fields inherited from class org.codehaus.groovy.reflection.CachedClass
`classInfo, EMPTY_ARRAY, isArray, isInterface, isNumber, isPrimitive, modifiers, mopMethods`

Constructor Summary
Constructor and Description
`ObjectCachedClass(ClassInfo classInfo)`

Method Summary
Modifier and Type | Method and Description
--- | ---
`CachedClass` | `getCachedSuperClass()`
`boolean` | `isAssignableFrom(Class argument)`

Methods inherited from class org.codehaus.groovy.reflection.CachedClass
`addNewMopMethods, coerceArgument, doCast, getCachedClass, getCallSiteLoader, getConstructors, getDeclaredInterfaces, getFields, getHierarchy, getInterfaces, getMethods, getModifiers, getName, getNewMetaMethods, getSuperClassDistance, getTheClass, getTypeDescription, hashCode, isDirectlyAssignable, isInterface, isPrimitive, isVoid, searchMethods, setNewMopMethods, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ObjectCachedClass

    public ObjectCachedClass(ClassInfo classInfo)

Method Detail

### getCachedSuperClass

    public CachedClass getCachedSuperClass()

  Overrides:
    `getCachedSuperClass` in class `CachedClass`

### isAssignableFrom

    public boolean isAssignableFrom(Class argument)

  Overrides:
    `isAssignableFrom` in class `CachedClass`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2010 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD